/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
import { Component, OnInit } from '@angular/core';
import { WebAnalyticsService } from "../web-analytics/web-analytics.service";

@Component({
  selector: 'app-splash',
  templateUrl: './splash.component.html',
  styleUrls: ['./splash.component.scss']
})
export class SplashComponent implements OnInit {

  constructor(private analytics: WebAnalyticsService) {
  }

  ngOnInit() {
    this.analytics.sendBeacon({keya: 'val1', keyb: 'val2'});
    this.analytics.sendEvent('startedDownload,initiatedWorkflow', {items: 2, fileSize: 200000});
    this.analytics.sendAlias('reid@reidgivens.com');
    this.analytics.sendBeacon();
  }

}
